import {
  Body,
  Controller,
  Post,
} from '@nestjs/common';
import { AuthService } from './auth.service';
import {
  AdminSigninDto,
  ForgotPassDto,
  OtpDto,
  SigninDto,
  UserRegisterDto,
  VerifyOtpDto,
} from './dto/login.dto';

@Controller('auth')
export class AuthController {
  constructor(private readonly authService: AuthService) {}

  @Post('admin/login')
  signin(@Body() dto: AdminSigninDto) {
    return this.authService.signIn(dto.loginId, dto.password);
  }

  @Post('user/login')
  userLogin(@Body() dto: SigninDto) {
    return this.authService.userLogin(dto);
  }

  @Post('verify')
  verifyOtp(@Body() dto: OtpDto) {    
    return this.authService.verifyOtp(dto);
  }

  @Post('phone/otp')
  sentOtp(@Body() dto: SigninDto) {
    return this.authService.sentOtp(dto);
  }

  @Post('phone/verify')
  verifyPhone(@Body() dto: OtpDto) {
    return this.authService.verifyPhone(dto);
  }

  @Post('user/register')
  userRegister(@Body() dto: UserRegisterDto) {
    return this.authService.userRegister(dto);
  }
}
