import { IsOptional, IsString, MaxLength, MinLength } from 'class-validator';

export class UpdateBlogDto {
  @IsOptional()
  @IsString()
  @MinLength(0)
  @MaxLength(100)
  title: string;

  @IsOptional()
  @IsString()
  @MinLength(0)
  @MaxLength(100)
  author: string;

  @IsOptional()
  @IsString()
  @MinLength(0)
  @MaxLength(5000)
  desc: string;

  @IsOptional()
  @IsString()
  @MinLength(0)
  @MaxLength(1000)
  shortDesc: string;

  @IsOptional()
  date: Date;
}
