import { IsNotEmpty, MaxLength, MinLength } from 'class-validator';

export class CreateContactUsDto {
  @IsNotEmpty()
  @MinLength(1)
  fName: string;

  @IsNotEmpty()
  @MinLength(1)
  lName: string;

  @IsNotEmpty()
  @MinLength(5)
  email: string;

  @IsNotEmpty()
  @MinLength(10)
  @MaxLength(10)
  phoneNumber: string;

  @IsNotEmpty()
  @MinLength(1)
  query: string;
}
