import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { DashboardController } from './dashboard.controller';
import { DashboardService } from './dashboard.service';
import { Account } from 'src/account/entities/account.entity';
import { Category } from 'src/category/entities/category.entity';
import { Poster } from 'src/poster/entities/poster.entity';

@Module({
  imports: [TypeOrmModule.forFeature([Account, Category, Poster])],
  controllers: [DashboardController],
  providers: [DashboardService],
})
export class DashboardModule {}
