import { Injectable } from '@nestjs/common';
import { InjectRepository } from '@nestjs/typeorm';
import { Account } from 'src/account/entities/account.entity';
import { Category } from 'src/category/entities/category.entity';
import { DefaultStatus, UserRole } from 'src/enum';
import { Poster } from 'src/poster/entities/poster.entity';
import { Repository } from 'typeorm';

@Injectable()
export class DashboardService {
  constructor(
    @InjectRepository(Account) private readonly accRepo: Repository<Account>,
    @InjectRepository(Category) private readonly catRepo: Repository<Category>,
    @InjectRepository(Poster) private readonly posRepo: Repository<Poster>,
  ) {}

  async count() {
    const user = await this.accRepo.count({
      where: { roles: UserRole.USER },
    });
    const category = await this.catRepo.count();
    const poster = await this.posRepo.count();

    return { totalUser: user, totalCategory: category, totalPoster: poster };
  }
}
