import { DefaultStatus } from 'src/enum';
import { Poster } from 'src/poster/entities/poster.entity';
import {
  Column,
  CreateDateColumn,
  Entity,
  OneToMany,
  PrimaryGeneratedColumn,
  UpdateDateColumn,
} from 'typeorm';

@Entity()
export class SpecialDay {
  @PrimaryGeneratedColumn('uuid')
  id: string;

  @Column({ type: 'varchar', length: 100, nullable: true })
  name: string;

  @Column({type: 'varchar', length: 100, nullable: true})
  month: string;

  @Column({type: 'varchar', length: 10, nullable: true})
  day: string;

  @Column({ type: 'enum', enum: DefaultStatus, default: DefaultStatus.PENDING })
  status: DefaultStatus;

  @CreateDateColumn()
  createdAt: Date;

  @UpdateDateColumn()
  updatedAt: Date;

  @OneToMany(() => Poster, (poster) => poster.specialDay)
  poster: Poster[];
}
