import { Account } from 'src/account/entities/account.entity';
import { Gender } from 'src/enum';
import {
  Column,
  CreateDateColumn,
  Entity,
  JoinColumn,
  ManyToOne,
  OneToOne,
  PrimaryGeneratedColumn,
  UpdateDateColumn,
} from 'typeorm';

@Entity()
export class UserDetail {
  @PrimaryGeneratedColumn('uuid')
  id: string;

  @Column({ type: 'varchar', length: 55, nullable: true })
  name: string;

  @Column({ type: 'varchar', length: 50, nullable: true })
  email: string;

  @Column({ type: 'varchar', length: 50, nullable: true })
  userId: string;

  @Column({ type: 'text', nullable: null })
  top: string;

  @Column({ type: 'text', nullable: null })
  topPath: string;

  @Column({ type: 'text', nullable: null })
  bottom: string;

  @Column({ type: 'text', nullable: null })
  bottomPath: string;

  @Column({ type: 'varchar', length: 100, nullable: true })
  adminAssignName: string;

  @Column({ type: 'varchar', length: 100, nullable: true })
  designation: string;

  @Column({ type: 'varchar', length: 100, nullable: true })
  fb: string;

  @Column({ type: 'varchar', length: 100, nullable: true })
  insta: string;

  @Column({ type: 'varchar', length: 100, nullable: true })
  twitter: string;

  @Column({ type: 'text', nullable: true })
  profile: string;

  @Column({ type: 'text', nullable: true })
  profileName: string;

  @CreateDateColumn()
  createdAt: Date;

  @UpdateDateColumn()
  updatedAt: Date;

  @Column({ type: 'uuid', nullable: true })
  accountId: string;

  @JoinColumn()
  @OneToOne(() => Account, (account) => account.userDetail, {
    cascade: true,
    onDelete: 'CASCADE',
    onUpdate: 'CASCADE',
  })
  account: Account[];
}
